<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004 Marc "Waccoon" Leveille, http://www.NineChime.com/Wacintosh.htm
Version 1.0.4 - Last modified 9/15/2004
*/


$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];

include('dbconn.php');
include('config.php');
include('common.php');

include('header.php');


?>
<div id="contentmain">

	<!-- Notes -->
	<h1 class="header">
		Notes About Registering
	</h1>

	<div class="infotable">
		<p class="indent">
			<strong>DO NOT REGISTER TWICE!</strong>  You can check if you're in the pending list by viewing the member list and searching for your username.
		</p>

		<p class="indent">
			Use only alphanumeric characters for names and passwords.  Do not use quotes or apostrophes.  Passwords are case-sensitive.
		</p>

		<p class="indent">
			You may change anything in your profile except your name once your registration is accepted.
		</p>

<?if($approval == 'no'){
	?>
		<p class="indent">
			<?=$langop_register_sub8?>
		</p>

		<p class="indent">
			If you don't receive an e-mail with a verification code, or if you cannot activate your account via e-mail, contact an administrator, preferably the board owner, for help.  Administrators can manually approve your account in these cases.
		</p>

<? } else { ?>
		<p class="indent">
			You must wait for an administrator to approve your registration on this board.  Your registration approval may take awhile if no one at the moment has time to maintain the pending list.  Please be patient; you will receive an e-mail notifying you of your approval.
		</p>

<? } ?>
	</div>

	<br />

	<form name="form1" method="post" action="functions.php">
		<input name="action" type="hidden" value="register" />

		<!-- Registration -->
		<h1 class="header">
			<?=$langop_register_title?> 
		</h1>

		<div class="infotable">
			<table class="infomain">
			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_username?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="username" name="username" type="text" class="txtinput" style="width: 100%;" onBlur="checkName('username');" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_email?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="email" type="text" class="txtinput" style="width: 100%;" onBlur="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />
<? if($approval == 'no'){ ?>

				<p class="subtext">
					<strong><?=$langop_register_sub2?></strong>
				</p>

<? } ?>
				<p class="subtext">
					Your password can be mailed to you if you forget it.  <strong>Your e-mail will only be visible to other registered members.</strong>  You can remove or edit your e-mail after registration.  Ask the board owner about other potential privacy concerns.
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_install_password?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="passwd" name="pass" type="password" class="txtinput" style="width: 100%;" />
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_install_repassword?>:
			</td>
			<td class="infoenter" valign="top">
				<input id="passwdnew" name="pass2" type="password" class="txtinput" style="width: 100%;" onBlur="checkPass('passwd', 'passwdnew');" />

				<p class="subtext">
					<strong>WARNING:  Passwords are encrypted!</strong>  If you do not provide a valid e-mail address for password retrieval, the administrator cannot recover your password for you!
				</p>
			</td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_word_comments?>:
			</td>
			<td class="infoenter" valign="top">
				<input name="comments" type="text" maxlength="80" class="txtinput" style="width: 100%;" />

				<p class="subtext">
					<?=$langop_register_sub3?> 
				</p></td>
			</tr>

			<tr>
			<td colspan="2">
				&nbsp;
			</td>
			</tr>

			<tr>
			<td class="infoask" valign="top">
				<?=$langop_addusr_arturl?> <? if($requireart == 'no') { echo '(Optional)'; } else { echo '(Required)'; } ?>:
			</td>
			<td class="infoenter" valign="top">
<? if($requireart == 'yes') {
	?>
				<input id="artURL" name="artURL" type="text" value="http://" class="txtinput" style="width: 100%;" onBlur="checkURL('artURL');" />

				<p class="subtext">
					<?=$langop_register_sub4?>  <strong><?=$langop_register_sub5?>.</strong>
				</p>
<? } else {?>
				<input id="artURL" name="artURL" type="text" value="http://" class="txtinput" style="width: 100%;" />

				<p class="subtext">
					A link to your webpage, or a direct link to a sample of your artwork.  Not required for registration on this board.
				</p>
<? } ?>
			</td>
			</tr>
			</table>
		</div>
		<br />



		<!-- Submit -->
		<h1 class="header">
			Submit Registration
		</h1>

		<div class="infotable">
			<p style="text-align: center;">
				<input name="register" type="submit" value="Submit" class="submit" onClick="MM_validateForm('email','','RisEmail');return document.MM_returnValue" />
			</p>
		</div>
	</form>
</div>

<? include('footer.php'); ?>